# Asterisk Project : Asterisk 13 Application_SayAlphaCase

Created by wikibot on Aug 08, 2014

# SayAlphaCase()

### Synopsis

Say Alpha.

### Description

This application will play the sounds that correspond to the letters of the given string. Optionally, a casetype may be specified. This will be used for case-insensitive or case-sensitive pronunciations. If the channel variable `SAY_DTMF_INTERRUPT` is set to 'true' (case insensitive), then this application will react to DTMF in the same way as `Background`.

### Syntax

    SayAlphaCase(casetype,string)

##### Arguments

- `casetype`
  - `a` - Case sensitive (all) pronunciation. (Ex: SayAlphaCase(a,aBc); - lowercase a uppercase b lowercase c).
  - `l` - Case sensitive (lower) pronunciation. (Ex: SayAlphaCase(l,aBc); - lowercase a b lowercase c).
  - `n` - Case insensitive pronunciation. Equivalent to SayAlpha. (Ex: SayAlphaCase(n,aBc) - a b c).
  - `u` - Case sensitive (upper) pronunciation. (Ex: SayAlphaCase(u,aBc); - a uppercase b c).
- `string`

### See Also

- Asterisk 13 Application_SayDigits
- Asterisk 13 Application_SayNumber
- Asterisk 13 Application_SayPhonetic
- Asterisk 13 Application_SayAlpha
- Asterisk 13 Function_CHANNEL

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538